namespace Generations_Launcher_Front
{
    using Generations_Launcher_Front.TextStore;
    using System;
    using System.Windows.Forms;

    public class ButtonConfig
    {
        public Button mButtonHandle;
        public uint mKeyboardKey = 0;
        public sPressInfo mPressInfo = new sPressInfo();

        public ButtonConfig()
        {
            this.mPressInfo.m_Type = sPressInfo.PressType.PT_None;
            this.mKeyboardKey = 0;
        }

        public void Reset()
        {
            this.mPressInfo.m_Index = 0;
            this.mPressInfo.m_tszName = "undefined";
            this.mPressInfo.m_Type = sPressInfo.PressType.PT_None;
            this.mKeyboardKey = 0;
            this.mButtonHandle.Text = LocalizedText.Undefined;
        }
    }
}
