using Microsoft.Win32;
using System;
using System.Runtime.InteropServices;
using System.Text;

public class RegistryData
{
    private int mLCID = 0x409;
    private string mSaveLocation = "";

    public RegistryData()
    {
        RegistryKey key = Registry.LocalMachine.OpenSubKey(@"SOFTWARE\Sega\Sonic Generations");
        if (key != null)
        {
            object obj2 = key.GetValue("locale");
            if (obj2 != null)
            {
                string str;
                if (((str = obj2.ToString()) != null) && (((str == "1033") || (str == "1040")) || (((str == "1036") || (str == "1031")) || (str == "3082"))))
                {
                    this.mLCID = int.Parse(obj2.ToString());
                }
                else
                {
                    this.mLCID = 0x409;
                }
            }
            StringBuilder path = new StringBuilder(260);
            object obj3 = key.GetValue("SaveLocation");
            if (obj3 != null)
            {
                SHGetSpecialFolderPath(IntPtr.Zero, path, 5, false);
                path.Insert(path.Length, @"\");
                path.Insert(path.Length, obj3.ToString());
                this.mSaveLocation = path.ToString();
            }
        }
    }

    [DllImport("Shell32.dll")]
    public static extern bool SHGetSpecialFolderPath(IntPtr owner, StringBuilder path, int folder, bool create);

    public int LCID
    {
        get
        {
            return this.mLCID;
        }
    }

    public string ReadSaveLocationFromRegistry
    {
        get
        {
            return this.mSaveLocation;
        }
    }
}
