using System;
using System.Runtime.InteropServices;

[StructLayout(LayoutKind.Sequential, Pack = 1)]
public struct AudioInfo
{
    public Guid AudioGuid;
    [MarshalAs(UnmanagedType.ByValTStr, SizeConst=100)]
    public string description;
    public string DisplayName
    {
        get
        {
            return this.description;
        }
    }
}
