using System;
using System.Runtime.InteropServices;

[StructLayout(LayoutKind.Sequential)]
public struct OutputAdapterInfo
{
    public bool ValidAdapter;
    public Resolution OutputRes;
    public string AdapterName;
    public string AdapterDescription;
    public Guid DeviceGUID;
    public string AdapterID;
    public int AA;
    public bool bVSync;
    public bool bWindowed;
    public uint DepthFormat;
    public bool DisplayMode;
    public bool ShadQuality;
    public bool ReflectQuality;
}
